# $Revision: 1.37 $, $Date: 2005/10/09 12:28:52 $
Summary:	XML Editor for GNOME
Summary(pl):	Edytor XML-a dla GNOME
Name:		mlview
Version:	0.7.1
Release:	3
License:	GPL
Group:		X11/Applications/Editors
Source0:	http://ftp.gnome.org/pub/gnome/sources/mlview/0.7/%{name}-%{version}.tar.bz2
# Source0-md5:	85383331e5bb6d59293cee5b86595284
Patch0:		%{name}-locale-names.patch
Patch1:		%{name}-desktop.patch
URL:		http://www.freespiders.org/projects/gmlview/
BuildRequires:	GConf2-devel >= 2.10.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	eel-devel >= 2.10.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	intltool >= 0.33
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnome-devel >= 2.10.0-2
#BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.19
BuildRequires:	libxslt >= 1.1.14
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post):	/sbin/ldconfig
Requires(post,preun):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-mlview (GNOME Markup Language Viewer) is an XML editor for
GNOME. It include support to view, edit, validate and save xml
document by graphically manipulate the xml Document Object Model.

%description -l pl
gnome-mlview (GNOME Markup Language Viewer) to edytor XML-a dla GNOME.
Umoliwia przegldanie, modyfikowanie oraz zapisywanie dokumentw XML
z graficznym interfejsem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv po/{no,nb}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-app-icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

# Remove useless static file
rm -f $RPM_BUILD_ROOT%{_libdir}/libmlview.la

%find_lang %{name} --with-gnome

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install mlview.schemas

%preun
%gconf_schema_uninstall mlview.schemas

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mlv
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/mlview
%{_desktopdir}/mlview.desktop
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mlview.spec,v $
Revision 1.37  2005/10/09 12:28:52  arekm
-rel 3

Revision 1.36  2005/08/23 15:00:44  paladine
- reverted accidental commit

Revision 1.34  2005/04/18 10:22:51  paladine
- no ldconfig_post{,un} macros, use %%postun -p

Revision 1.33  2005/04/08 11:39:00  paladine
- new style macros
- STBR

Revision 1.32  2005/04/06 11:54:47  paladine
- use new faster rpm's GConf automation
- requires newer stuff
- fixed desktop patch and added icon to _pixmapsdir
- rel. 2

Revision 1.31  2004/12/25 17:40:51  qboosh
- unified

Revision 1.30  2004/11/07 10:03:10  paladine
- updaed to 0.7.1

Revision 1.29  2004/11/05 15:18:56  paladine
- added desktop patch
- cosmetics
- rel 2

Revision 1.28  2004/10/03 12:51:23  grzegol
- updated to 0.7.0

Revision 1.27  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.26  2004/05/14 13:43:17  aflinta
- up to version 0.6.3, added local-names patch

Revision 1.25  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.24  2004/01/05 07:24:35  trojan
- added --disable-schemas-install to configure

Revision 1.23  2003/12/29 13:05:30  ciesiel
- removed autoconf
- added missing BR

Revision 1.22  2003/12/12 10:10:10  qboosh
- gconf_schema_install in post not postun; added post deps

Revision 1.21  2003/12/12 10:05:22  trojan
- updated to 0.6.2
- removed outdated patch

Revision 1.20  2003/11/10 20:00:02  qboosh
- BR: intltool

Revision 1.19  2003/09/17 06:52:39  aflinta
- fixed URL

Revision 1.18  2003/09/17 06:51:37  aflinta
- version 0.6.0

Revision 1.17  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.16  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/06/04 14:24:05  qboosh
- merged lost change:
  Revision 1.13  2003/05/23 11:20:33  trojan
  - updated to 0.0.3rc2

Revision 1.14  2003/05/27 10:49:08  trojan
- added Source-md5

Revision 1.13  2003/05/25 05:50:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/18 22:53:35  juandon
- removed two lines with define

Revision 1.11  2002/10/30 13:00:07  ankry
- desktop moved to Editors/XML, cleaning, rel. 2

Revision 1.10  2002/10/09 21:01:09  kloczek
- do not hardcode in configure.in CFLAGS options (ac_fixes patch added),
- fix installing in correct path .mo files (added regenerate gettext files) and
  finish %%find_lang support,
- added --disable-static to autoconf options (now static mlview libraries aren't
  built),
- separate desktop file and added png icon for desktop (based on pixmaps/mlview-app-icon.xpm),
- move desktop file to Office/Editors/ menu.

Revision 1.9  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/10/08 19:18:51  klakier
- ver 0.0.2

Revision 1.7  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.6  2002/05/21 23:14:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/04/08 15:52:45  kloczek
- run autoconf before automake, regenerate also lt files and "rm -f missing"
  on top %build.

Revision 1.4  2002/04/08 14:02:24  wiget
update to 0.0.1.11, DESTDIR patch is obsoleted

Revision 1.3  2002/04/02 15:42:24  wiget
- fix DESTDIR problem (DESTDIR.patch)
- proper handling of aclocal flags (aclocal.patch)
now mlview build, but segfaults on simple documents :(

Revision 1.2  2002/04/02 15:01:51  qboosh
- changed Group and prefix to X11, fixed requirements, added pl

Revision 1.1  2002/04/01 18:09:02  klakier
- based on generic spec
- waiting for next version with applied DESTDIR correction
